libstdc++

Classes | Namespaces | Functions
allocator.h File Reference

Go to the source code of this file.

## Classes

struct | std::allocator< _Tp >
| The standard allocator, as per [20.4]. More...
class | std::allocator< void >
| allocator<void> specialization. More...
struct | uses_allocator< typename, typename >
| Declare uses_allocator so it can be specialized in <queue> etc. More...

## Namespaces

namespace | std

## Functions

template<typename _T1 , typename _T2 >
bool | std::operator!= (const allocator< _T1 > &, const allocator< _T2 > &)
template<typename _Tp >
bool | std::operator!= (const allocator< _Tp > &, const allocator< _Tp > &)
template<typename _T1 , typename _T2 >
bool | std::operator== (const allocator< _T1 > &, const allocator< _T2 > &)
template<typename _Tp >
bool | std::operator== (const allocator< _Tp > &, const allocator< _Tp > &)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file allocator.h.